Skip to main content
`Ctrl`+`K`
scipy.sparse.csr_array.

# check_format

csr_array.check_format(full_check=True)

  Check whether the array/matrix respects the CSR or CSC format.

  Parameters:
    full_check bool, optional

      If True, run rigorous check, scanning arrays for valid values. Note that activating those check might copy arrays for casting, modifying indices and index pointers’ inplace. If False, run basic checks on attributes. O(1) operations. Default is True.